> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runalloy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a user

> Creates a new user in your Embedded account. The user record acts like a "container" to store all the integrations, workflows, and credentials for any given user. Returns a user identifier.



## OpenAPI

````yaml post /users/
openapi: 3.0.1
info:
  title: Embedded 2025-09
  version: '5.0'
servers:
  - url: https://production.runalloy.com
security: []
paths:
  /users/:
    post:
      summary: Create a user
      description: >-
        Creates a new user in your Embedded account. The user record acts like a
        "container" to store all the integrations, workflows, and credentials
        for any given user. Returns a user identifier.
      operationId: create-a-user
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            default: bearer YOUR_API_KEY
        - $ref: '#/components/parameters/xApiVersion'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - username
              properties:
                fullName:
                  type: string
                  description: >-
                    The name of the user you want to create. Typically a full
                    name.
                username:
                  type: string
                  description: >-
                    The username to be associated with the user.  To easily
                    identify a customer, we recommend using a friendly username
                    such as an email for example. The username must be unique
                    (this acts as an identifier to reference and lookup a given
                    merchant on your platform).
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    userId: xyz123abc098754
              schema:
                type: object
                properties:
                  userId:
                    type: string
                    example: xyz123abc098754
        '401':
          description: '401'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false
      security: []
components:
  parameters:
    xApiVersion:
      name: x-api-version
      in: header
      required: true
      description: The version of the API to use. The current API version is **2025-09**.
      schema:
        type: string
        default: 2025-09

````